/**
 * DevExtreme (integration/jquery/hold_ready.js)
 * Version: 20.1.11 (build 21097-0311)
 * Build date: Wed Apr 07 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
var _jquery = require("jquery");
var _jquery2 = _interopRequireDefault(_jquery);
var _themes_callback = require("../../ui/themes_callback");
var _ready_callbacks = require("../../core/utils/ready_callbacks");

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        "default": obj
    }
}
if (_jquery2.default && !_themes_callback.themeReadyCallback.fired()) {
    var holdReady = _jquery2.default.holdReady || _jquery2.default.fn.holdReady;
    holdReady(true);
    _themes_callback.themeReadyCallback.add(function() {
        (0, _ready_callbacks.add)(function() {
            holdReady(false)
        })
    })
}
